package org.gcube.portlets.user.geoportaldataviewer.shared.cl.document.materialization;

import java.util.Map;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gwt.user.client.rpc.IsSerializable;

public class GeoServerPlatformInfoDV implements IsSerializable{

	@JsonProperty(value = "_type")
	private String type;
	private String workspace;
	private String storeName;
	private String layerName;
	
	
	
	@JsonProperty(value = "_host")
	private String host;
	

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getWorkspace() {
		return workspace;
	}

	public void setWorkspace(String workspace) {
		this.workspace = workspace;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public String getHost() {
		return host;
	}

	public void setHost(String host) {
		this.host = host;
	}

	
	public String getLayerName() {
		return layerName;
	}
	
	public void setLayerName(String layerName) {
		this.layerName = layerName;
	}

	@Override
	public String toString() {
		return "GeoServerPlatformInfoDV [type=" + type + ", workspace=" + workspace + ", storeName=" + storeName
				+ ", layerName=" + layerName + ", host=" + host + "]";
	}

	
	
	
}
